[Trisquel-users] Icecat seems very outdated, what browser *should* one be using?

lovexdrew at gmail.com lovexdrew at gmail.com
Sun Feb 10 03:07:22 CET 2019


OH. Midori moved to github.

Hunnh. Alright. That's weird. So is there a special reason why the regular  
Icecat can't be in he repos? I could run it from a tarball but I'm not savvy  
enough to install it from one.


More information about the Trisquel-users mailing list